<div class="container" *ngIf="containerdata">
  <div  *ngFor="let data of homeData" >
    <div (click)="changeContent($event, data.header)" class="shadow xs-flex-col card-container">
      <div  class="pad-4p img-container">
        <img  class="height-170x" src = "{{data.image}}">
      </div>
      <div  class="text-container">
        <h2>{{data.header}}</h2>
        <p>{{data.desciption}}</p>
      </div>
    </div>
  </div>
</div>
<div>
  <app-mec-data *ngIf="!containerdata" [state]="selectedState"></app-mec-data>
</div>
